### Method

# Vte Terminal match_add_gregex

deprecated: 0.46

#### Declaration [src]

    int
    vte_terminal_match_add_gregex (
      VteTerminal* terminal,
      GRegex* gregex,
      GRegexMatchFlags gflags
    )

#### Description [src]

This function does nothing since version 0.60.

Deprecated since: 0.46

Use `vte_terminal_match_add_regex()` instead.

#### Parameters

`gregex`

  Type: `GRegex`

  A `GRegex`.

  The data is owned by the caller of the method.

`gflags`

  Type: `GRegexMatchFlags`

  The `GRegexMatchFlags` to use when matching the regex.

#### Return value

Type: `int`

-1.